version: '3.7'

services:
  fs-proxy:
    image: nginx:alpine
    container_name: fs-proxy
    ports:
      - '80:80'
    volumes:
      - ./nginx.conf:/etc/nginx/nginx.conf
    restart: 'unless-stopped'
    networks:
      - backend
  fs-server:
    build:
      context: ./
      target: development-build-stage
      dockerfile: Dockerfile
    container_name: fs-server
    ports:
      - '5000:5000'
    environment:
      MYSQL_USER: root
      MYSQL_PASSWORD: password
      MYSQL_HOST: mysql
      MYSQL_DATABASE: prisma
    volumes:
      - ./:/app
      - /app/node_modules
    restart: 'unless-stopped'
    networks:
      - backend
    links:
      - fs-mysql
    depends_on:
      - fs-mysql
  fs-mysql:
    image: mysql:5.7
    container_name: fs-mysql
    environment:
      MYSQL_ROOT_USER: root
      MYSQL_ROOT_PASSWORD: password
      MYSQL_DATABASE: prisma
    ports:
      - '3306:3306'
    networks:
      - backend

networks:
  backend:
    driver: bridge

volumes:
  data:
    driver: local
